$._ext_DUALITYEFFECT={
    run : function() {
#target photoshop
//
// DualityEffect.jsx
//

//
// Generated Mon Sep 26 2016 08:17:39 GMT+0500
//

cTID = function(s) { return app.charIDToTypeID(s); };
sTID = function(s) { return app.stringIDToTypeID(s); };

//
//==================== DualityEffect ==============
//
function DualityEffect() {
  // Play
  function step1(enabled, withDialog) {
    if (enabled != undefined && !enabled)
      return;
    var dialogMode = (withDialog ? DialogModes.ALL : DialogModes.NO);
    var desc1 = new ActionDescriptor();
    var ref1 = new ActionReference();
    ref1.putName(cTID('Actn'), "Duality");
    ref1.putName(cTID('ASet'), "Magic Retouch Pro Support Actions");
    desc1.putReference(cTID('null'), ref1);
    executeAction(cTID('Ply '), desc1, dialogMode);
  };

  step1();      // Play
};



//=========================================
//                    DualityEffect.main
//=========================================
//

DualityEffect.main = function () {
  DualityEffect();
};

DualityEffect.main();

// EOF

"DualityEffect.jsx"
// EOF
      },
};
